### Function

# Gtk IconViewForeachFunc

#### Declaration

    void
    IconViewForeachFunc (
      GtkIconView* icon_view,
      GtkTreePath* path,
      gpointer data
    )

#### Description [src]

A function used by gtk_icon_view_selected_foreach() to map all selected rows.

It will be called on every selected row in the view.

#### Parameters

`icon_view` | `GtkIconView`
| A `GtkIconView`.
| The data is owned by the caller of the function.
`path` | `GtkTreePath`
| The `GtkTreePath` of a selected row.
| The data is owned by the caller of the function.
`data` | `gpointer`
| User data.